// test_cve_cpp_dll.cpp : Defines the entry point for the console application.
//
// used to test the CABS Viewer Engine DLL function
#define CPP 1
#include "cvedll.h"


int main(int argc, char* argv[])
{
	options_t opts; // read cvedll.h for details of contents

	// always initialize the options struct to a known good state
	init_options(&opts);

	// at this point the options can be modified directly

	// now call the main processing function with:
	//  an input file name (which must exist and be readable) and
	//  an output file name (which should not exist and will be in a 
	//     writable location) and
	//  the populated options structure, which dictates the processing
	//     that should take place

	// Note: the default output format is TEXT
	cvengine("demo_data42","demo_data42.text",&opts);
	return (0);
}
// EOF
